using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Dto;

public class CheckVatResponseDTO
{
    [JsonPropertyName("countryCode")]
    public string? CountryCode { get; set; }

    [JsonPropertyName("vatNumber ")]
    public string? VatNumber { get; set; }

    [JsonPropertyName("requestDate")]
    public string? RequestDate { get; set; }

    [JsonPropertyName("valid")]
    public bool Valid { get; set; }

    [JsonPropertyName("name")]
    public string? Name { get; set; }

    [JsonPropertyName("address")]
    public string? CompleteAddress { get; set; }

    [JsonPropertyName("ragSoc")]
    public string? RagSoc { get; set; }

    [JsonPropertyName("indirizzo")]
    public string? Indirizzo { get; set; }

    [JsonPropertyName("cap")]
    public string? Cap { get; set; }

    [JsonPropertyName("citta")]
    public string? Citta { get; set; }

    [JsonPropertyName("prov")]
    public string? Prov { get; set; }
}